CompositeDef (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.CompositeDef interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface CompositeDef

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

    public interface CompositeDef

extends ManagedElement

Naming Rules:
  0="compositeName"
Persistable:
  true
Table Name:
  COMPOSITEDEF

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`CompositeAttributeDef[]` | `getAttributeDefs()`
`java.lang.String` | `getCompositeName()`
`CompositeDef[]` | `getMemberTypes()`
`java.lang.String` | `getRootClass()`
`java.lang.String` | `getTemplate()`
`boolean` | `hasAttributeDefs()`
`boolean` | `hasCompositeName()`
`boolean` | `hasMemberTypes()`
`boolean` | `hasRootClass()`
`boolean` | `hasTemplate()`
`void` | `setAttributeDefs(CompositeAttributeDef[] defs)`
`void` | `setCompositeName(java.lang.String s)`
`void` | `setMemberTypes(CompositeDef[] defs)`
`void` | `setRootClass(java.lang.String s)`
`void` | `setTemplate(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCompositeName

    java.lang.String getCompositeName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCompositeName

    void setCompositeName(java.lang.String s)

### hasCompositeName

    boolean hasCompositeName()

### getRootClass

    java.lang.String getRootClass()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRootClass

    void setRootClass(java.lang.String s)

### hasRootClass

    boolean hasRootClass()

### getAttributeDefs

    CompositeAttributeDef[] getAttributeDefs()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Containment Relationship:
    true

### setAttributeDefs

    void setAttributeDefs(CompositeAttributeDef[] defs)

### hasAttributeDefs

    boolean hasAttributeDefs()

### getMemberTypes

    CompositeDef[] getMemberTypes()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMemberTypes

    void setMemberTypes(CompositeDef[] defs)

### hasMemberTypes

    boolean hasMemberTypes()

### getTemplate

    java.lang.String getTemplate()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTemplate

    void setTemplate(java.lang.String s)

### hasTemplate

    boolean hasTemplate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD